﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Menus;
using System.Collections;
using Infragistics.Controls.Editors;
using System.Windows.Data;

namespace XamRibbonCombo
{
    public class XamComboEditorTool : ComboBoxTool
    {
        protected override RibbonToolBaseControl ResolveToolControl()
        {
            return new XamComboEditorToolControl(this);
        }
    }

    public class XamComboEditorToolControl : RibbonToolBaseControl, IRibbonControl
    {
        private XamComboEditor _combo;

        public XamComboEditorToolControl()
        {
            this.DefaultStyleKey = typeof(ComboBoxToolControl);
        }

        public XamComboEditorToolControl(RibbonToolBase tool)
            : base(tool)
        {
            this.DefaultStyleKey = typeof(ComboBoxToolControl);
        }

        public override void OnApplyTemplate()
        {
            base.OnApplyTemplate();
            this._combo = GetTemplateChild("Combo") as XamComboEditor;
            if (this._combo != null)
            {
                this._combo.ItemsSource = ((XamComboEditorTool)this.Tool).ItemsSource;
                Binding b = new Binding("SelectedItem");
                b.Mode = BindingMode.TwoWay;
                b.Source = this.Tool;
                this._combo.SetBinding(XamComboEditor.SelectedItemProperty, b);
                this._combo.DisplayMemberPath = ((XamComboEditorTool)this.Tool).DisplayMemberPath;
            }
        }        
    }
}
